Bug 1016381 - Unable to update from F19 to RawHide/F20
Unable to update from F19 to RawHide/F20
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shrinkwrap-resolver (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 985707
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 01:10 EDT by Marcel Ribeiro Dantas
Modified: 2013-11-10 02:30 EST (History)
3 users (show)

See Also:
Fixed In Version: shrinkwrap-resolver-2.0.1-0.1.git1aba3c1fc9.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:30:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Ribeiro Dantas 2013-10-08 01:10:09 EDT
Description of problem:
Unable to update from F19 to RawHide/F20

Version-Release number of selected component (if applicable):
Fedora 19

How reproducible:
Everytime

Steps to Reproduce:
1. sudo yum --releasever=20 distro-sync

Actual results:
--> Resolução de dependências finalizada
Error: Pacote: shrinkwrap-resolver-1.0.0-0.6.beta7.fc20.noarch (fedora)
           Requer: aether-connector-wagon
           Removendo: aether-connector-wagon-1.13.1-10.fc19.noarch (@updates/19)
               aether-connector-wagon = 1.13.1-10.fc19
           Obsoletado por: 1:aether-transport-wagon-0.9.0-0.4.M3.fc20.noarch (fedora)
              Não encontrado
Comment 1 Stanislav Ochotnicky 2013-10-08 04:15:07 EDT
When you file bugs in bugzilla, please change your locale to en_US. Not everyone can read Portuguese :-) In this specific case it's not much of an issue since yum output is pretty well known, but this is for future

FYI you can change it with: 
$ LANG="en_US.utf-8" yum <commands>
Comment 2 Marcel Ribeiro Dantas 2013-10-08 04:19:16 EDT
Thank you Stanislav :)

I wasn't aware I could do it for one command line only. The English output follows below:

Error: Package: shrinkwrap-resolver-1.0.0-0.6.beta7.fc20.noarch (fedora)
           Requires: aether-connector-wagon
           Removing: aether-connector-wagon-1.13.1-10.fc19.noarch (@updates/19)
               aether-connector-wagon = 1.13.1-10.fc19
           Obsoleted By: 1:aether-transport-wagon-0.9.0-0.4.M3.fc20.noarch (fedora)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 3 Marek Goldmann 2013-10-08 04:31:18 EDT
Hi Marcel,

This a known issue, it's reported upstream and we're waiting for the migration to eclipse aether.
Comment 4 Marcel Ribeiro Dantas 2013-10-08 04:40:18 EDT
Thank you for letting me know Marek :)
Comment 5 Stanislav Ochotnicky 2013-10-08 04:52:09 EDT
Another point worth making in this case: Use "fedup"[1] instead of yum distro-sync. It usually works better, can handle additional repositories gracefully and generally makes whole upgrade process easier. It won't solve this specific bug, but might help with others 


[1] http://fedoraproject.org/wiki/FedUp
Comment 6 Marcel Ribeiro Dantas 2013-10-08 04:55:43 EDT
Thank you Stanislav, but sincerely I don't want to update to Fedora 20/Rawhide right now. 

I only ran this command in order to help Fedora, as asked in here http://miroslav.suchy.cz/blog/archives/2013/10/07/donate_1_minute_of_your_time_to_test_upgrades_from_f19_to_f20/index.html :)
Comment 7 Marek Goldmann 2013-10-08 05:07:54 EDT
(In reply to Marcel Ribeiro Dantas from comment #6)
> Thank you Stanislav, but sincerely I don't want to update to Fedora
> 20/Rawhide right now. 
> 
> I only ran this command in order to help Fedora, as asked in here
> http://miroslav.suchy.cz/blog/archives/2013/10/07/
> donate_1_minute_of_your_time_to_test_upgrades_from_f19_to_f20/index.html :)

Awesome, thank you for making Fedora a better distribution!
Comment 8 Fedora Update System 2013-10-15 07:30:05 EDT
shrinkwrap-resolver-2.0.1-0.1.git1aba3c1fc9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/shrinkwrap-resolver-2.0.1-0.1.git1aba3c1fc9.fc20
Comment 9 Fedora Update System 2013-10-15 09:27:11 EDT
Package shrinkwrap-resolver-2.0.1-0.1.git1aba3c1fc9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shrinkwrap-resolver-2.0.1-0.1.git1aba3c1fc9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19110/shrinkwrap-resolver-2.0.1-0.1.git1aba3c1fc9.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-11-10 02:30:51 EST
shrinkwrap-resolver-2.0.1-0.1.git1aba3c1fc9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.